OpenVDB 5.1.0

Classes | Namespaces | Functions
PointDelete.h File Reference

Methods for deleting points based on group membership. More...

`#include "PointDataGrid.h"`
`#include "PointGroup.h"`
`#include "IndexIterator.h"`
`#include "IndexFilter.h"`
`#include <openvdb/tools/Prune.h>`
`#include <openvdb/tree/LeafManager.h>`
`#include <memory>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes
struct | DeleteByFilterOp< PointDataTreeT, FilterT >

## Namespaces
| openvdb
| openvdb::v5_1
| openvdb::v5_1::points
| openvdb::v5_1::points::point_delete_internal

## Functions
template<typename PointDataTreeT >
void | deleteFromGroups (PointDataTreeT &pointTree, const std::vector< std::string > &groups, bool invert=false, bool drop=true)
| Delete points that are members of specific groups. More...
template<typename PointDataTreeT >
void | deleteFromGroup (PointDataTreeT &pointTree, const std::string &group, bool invert=false, bool drop=true)
| Delete points that are members of a group. More...

## Detailed Description

Methods for deleting points based on group membership.

Author
  Nick Avramoussis, Francisco Gochez, Dan Bailey